<?php require_once('Connections/paivaconex.php'); 
require_once('funcoes.php'); 


?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

mysql_select_db($database_paivaconex, $paivaconex);
$query_contador_phoenix = "SELECT * FROM contador_phoenix WHERE contador_id = 1";
$contador_phoenix = mysql_query($query_contador_phoenix, $paivaconex) or die(mysql_error());
$row_contador_phoenix = mysql_fetch_assoc($contador_phoenix);
$totalRows_contador_phoenix = mysql_num_rows($contador_phoenix);

mysql_select_db($database_paivaconex, $paivaconex);
$query_recebimento_emi = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao, mfin_recebimentos.Id AS rec_id, mfin_contas.NumContaReduzida as conta_result, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta, mfin_clientes.Id AS cli_id FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_clientes.Id NOT IN (225) AND mfin_recebimentos.Tipo <> 1 AND Emissao >= '".convertdata($_GET['data_ini'])."' AND Emissao <= '".convertdata($_GET['data_fim'])."'  AND mfin_recebimentos.Tipo <> 2 AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$recebimento_emi = mysql_query($query_recebimento_emi, $paivaconex) or die(mysql_error());
$row_recebimento_emi = mysql_fetch_assoc($recebimento_emi);
$totalRows_recebimento_emi = mysql_num_rows($recebimento_emi);

mysql_select_db($database_paivaconex, $paivaconex);
$query_recebimento_emi_reembolso = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao, mfin_recebimentos.Id AS rec_id, mfin_contas.NumContaReduzida as conta_result, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_recebimentos.Tipo <> 1 AND Emissao >= '".convertdata($_GET['data_ini'])."' AND Emissao <= '".convertdata($_GET['data_fim'])."'  AND mfin_recebimentos.Tipo = 2 AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$recebimento_emi_reembolso = mysql_query($query_recebimento_emi_reembolso, $paivaconex) or die(mysql_error());
$row_recebimento_emi_reembolso = mysql_fetch_assoc($recebimento_emi_reembolso);
$totalRows_recebimento_emi_reembolso = mysql_num_rows($recebimento_emi_reembolso);

mysql_select_db($database_paivaconex, $paivaconex);
$query_pagamento_emi = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao,  mfin_pagamentos.Id AS pag_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_fornec, mfin_pagamentos.Detalhe AS det, mfin_pastas.Numero as num_pasta, mfin_fornecedores.NomeFantasia as fornec_nome, mfin_fornecedores.Id AS id_fornec  From  mfin_pagamentos INNER join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id  INNER join mfin_clientes ON Cliente = mfin_clientes.Id  Left Join mfin_pastas ON Pasta = mfin_pastas.Id  INNER join mfin_contas ON mfin_fornecedores.ContaResultado = mfin_contas.Id  INNER join mfin_contas As mfin_contas2 ON mfin_fornecedores.Conta = mfin_contas2.Id  INNER join mfin_bancos ON Banco = mfin_bancos.Id  
Where mfin_fornecedores.Id NOT IN (167, 134, 181, 180, 179, 170, 168, 133, 135, 159, 164, 165, 166, 191, 192) 
AND Emissao >= '".convertdata($_GET['data_ini'])."'  AND Emissao <= '".convertdata($_GET['data_fim'])."'   
AND mfin_contas.Id <> 208  AND mfin_contas.Id <> 184 
AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$pagamento_emi = mysql_query($query_pagamento_emi, $paivaconex) or die(mysql_error());
$row_pagamento_emi = mysql_fetch_assoc($pagamento_emi);
$totalRows_pagamento_emi = mysql_num_rows($pagamento_emi);

mysql_select_db($database_paivaconex, $paivaconex);
$query_recebimento_ven = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_recebimento, mfin_recebimentos.Id AS rec_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_cli, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta, mfin_bancos.NumContaReduzida as banco_conta, mfin_clientes.Id AS cli_id FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_contas AS mfin_contas2 ON Conta = mfin_contas2.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_recebimentos.Tipo <> 1 AND Emissao >= '".convertdata($_GET['data_ini'])."' AND Emissao <= '".convertdata($_GET['data_fim'])."'  AND mfin_recebimentos.Tipo <> 2 AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$recebimento_ven = mysql_query($query_recebimento_ven, $paivaconex) or die(mysql_error());
$row_recebimento_ven = mysql_fetch_assoc($recebimento_ven);
$totalRows_recebimento_ven = mysql_num_rows($recebimento_ven);

mysql_select_db($database_paivaconex, $paivaconex);
$query_recebimento_ven_reembolso = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_recebimento, mfin_recebimentos.Id AS rec_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_cli, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta, mfin_bancos.NumContaReduzida as banco_conta FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_contas AS mfin_contas2 ON Conta = mfin_contas2.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_recebimentos.Tipo <> 1 AND Emissao >= '".convertdata($_GET['data_ini'])."' AND Emissao <= '".convertdata($_GET['data_fim'])."'  AND mfin_recebimentos.Tipo = 2 AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$recebimento_ven_reembolso = mysql_query($query_recebimento_ven_reembolso, $paivaconex) or die(mysql_error());
$row_recebimento_ven_reembolso = mysql_fetch_assoc($recebimento_ven_reembolso);
$totalRows_recebimento_ven_reembolso = mysql_num_rows($recebimento_ven_reembolso);

mysql_select_db($database_paivaconex, $paivaconex);
$query_pagamento_ven = "Select *, DATE_FORMAT(DtPagamento, '%d/%m') AS dta_pagamento,  mfin_pagamentos.Id AS pag_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_fornec, mfin_pagamentos.Detalhe AS det, mfin_pastas.Numero as num_pasta, mfin_fornecedores.NomeFantasia as fornec_nome, mfin_bancos.NumContaReduzida as banco_conta, mfin_fornecedores.id AS fornec_id  From  mfin_pagamentos INNER join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id  INNER join mfin_clientes ON Cliente = mfin_clientes.Id  Left Join mfin_pastas ON Pasta = mfin_pastas.Id  INNER join mfin_contas ON mfin_fornecedores.ContaResultado = mfin_contas.Id  INNER join mfin_contas As mfin_contas2 ON mfin_fornecedores.Conta = mfin_contas2.Id  INNER join mfin_bancos ON Banco = mfin_bancos.Id  Where mfin_fornecedores.Id <> 167 AND DtPagamento >= '".convertdata($_GET['data_ini'])."'  AND DtPagamento <= '".convertdata($_GET['data_fim'])."'   AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$pagamento_ven = mysql_query($query_pagamento_ven, $paivaconex) or die(mysql_error());
$row_pagamento_ven = mysql_fetch_assoc($pagamento_ven);
$totalRows_pagamento_ven = mysql_num_rows($pagamento_ven);

mysql_select_db($database_paivaconex, $paivaconex);
$query_recebimento_emi_complexo = "Select Sum(Valor-outros-outros2-outros3+Juros) AS vl, Sum(Valor-outros-outros2-outros3) AS valo_bruto, Sum(Juros) AS juros_rec, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao, Emissao, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta, mfin_bancos.NumContaReduzida as banco_conta FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_recebimentos.Tipo = 1 	AND Emissao >= '".convertdata($_GET['data_ini'])."' AND Emissao <= '".convertdata($_GET['data_fim'])."'  AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0 GROUP BY Emissao, mfin_pastas.Numero, mfin_recebimentos.Detalhe";
$recebimento_emi_complexo = mysql_query($query_recebimento_emi_complexo, $paivaconex) or die(mysql_error());
$row_recebimento_emi_complexo = mysql_fetch_assoc($recebimento_emi_complexo);
$totalRows_recebimento_emi_complexo = mysql_num_rows($recebimento_emi_complexo);

mysql_select_db($database_paivaconex, $paivaconex);
$query_pagamento_ven_complexo = "Select *, DATE_FORMAT(DtPagamento, '%d/%m') AS dta_pagamento,  mfin_pagamentos.Id AS pag_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_fornec, mfin_pagamentos.Detalhe AS det, mfin_pastas.Numero as num_pasta, mfin_fornecedores.NomeFantasia as fornec_nome, mfin_clientes.NomeFantasia as cli_nome, mfin_bancos.NumContaReduzida as banco_conta  From  mfin_pagamentos INNER join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id  INNER join mfin_clientes ON Cliente = mfin_clientes.Id  Left Join mfin_pastas ON Pasta = mfin_pastas.Id  INNER join mfin_contas ON mfin_fornecedores.ContaResultado = mfin_contas.Id  INNER join mfin_contas As mfin_contas2 ON mfin_fornecedores.Conta = mfin_contas2.Id  INNER join mfin_bancos ON Banco = mfin_bancos.Id  Where mfin_fornecedores.Id = 167 AND DtPagamento >= '".convertdata($_GET['data_ini'])."'  AND DtPagamento <= '".convertdata($_GET['data_fim'])."'   AND (Multa + Juros + Desconto + pis + Valor + cofins + csll + ir) > 0";
$pagamento_ven_complexo = mysql_query($query_pagamento_ven_complexo, $paivaconex) or die(mysql_error());
$row_pagamento_ven_complexo = mysql_fetch_assoc($pagamento_ven_complexo);
$totalRows_pagamento_ven_complexo = mysql_num_rows($pagamento_ven_complexo);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<!-- InstanceBeginEditable name="doctitle" -->
<title>Dabul Reis Lobo</title>
<!-- InstanceEndEditable -->
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>

<body>

<strong><!-- InstanceBeginEditable name="Conteudo" -->
    
    <?php $fp = fopen("DABUL.M".substr($_GET['data_ini'],-2), "w");
	$texto = '';
	$contador = 1;
	$conta_cliente = 302;
	$conta_reembolso = 280;
	$conta_ir = 503;
	$conta_inss = 502;
	$conta_iss = 505;
	$conta_desconto = 3618;
	$conta_desconto_pag = 3625;
	$conta_pis = 500;
	$conta_pis_pag = 500;
	$conta_cofins = 501;
	$conta_cofins_pag = 501;
	$conta_csll = 508;
	$conta_csll_pag = 508;
	$conta_juros = 3626;
	$conta_juros_pag = 3617;
	$conta_multa_pag = 3621;
	$conta_multa = 3628;
	$conta_rec_multiplo = 302;
	$conta_rec_multiplo2 =1190;
	$conta_rec_honorarios =1400;
	$historico_padrao_receber = 95;
	$historico_padrao_receber_reembolso = 215;
	$historico_padrao_pagar = 322;
	$historico_padrao_ir = 361;
	$historico_padrao_inss = 362;
	$historico_padrao_iss = 363;
	$historico_padrao_desconto = 163;
	$historico_padrao_desconto_pag = 2;
	$historico_padrao_pis = 209;
	$historico_padrao_pis_pag = 456;
	$historico_padrao_cofins = 210;
	$historico_padrao_cofins_pag = 457;
	$historico_padrao_csll = 148;
	$historico_padrao_csll_pag = 365;
	$historico_padrao_banco = 37;
	$historico_padrao_banco_pag = 19;
	$historico_padrao_juros = 174;
	$historico_padrao_juros_pag = 42;
	$historico_padrao_multa_pag = 56;
	$historico_padrao_multa = 49;
	$historico_padrao_reembolso = 250;
	$historico_padrao_fornec = 19;
	

//CONTAS A RECEBER
if($totalRows_recebimento_emi>0){

	require_once('Contimatic/contimatic_geral_emi_rec.php'); 
	
//Fechamento do Contas a Receber Normal -- EMISSÃO
}


if($totalRows_recebimento_emi_reembolso>0){

	require_once('Contimatic/contimatic_geral_emi_rec_reembolso.php'); 
	
//Fechamento do Contas a Receber Reembolso -- EMISSÃO
}

//CONTAS A PAGAR
if($totalRows_pagamento_emi>0){

	require_once('Contimatic/contimatic_geral_emi_pag.php'); 
	
//Fechamento do Contas a Pagar -- EMISSÃO
}
	
//CONTAS A RECEBER NORMAL
if($totalRows_recebimento_ven>0){

	require_once('Contimatic/contimatic_geral_ven_rec.php'); 
	
//Fechamento do Contas a Receber Normal -- VENCIMENTO
}


if($totalRows_recebimento_ven_reembolso>0){

	require_once('Contimatic/contimatic_geral_ven_rec_reembolso.php'); 
	
//Fechamento do Contas a Receber Reembolso -- VENCIMENTO
}


//CONTAS A PAGAR
if($totalRows_pagamento_ven>0){

	require_once('Contimatic/contimatic_geral_ven_pag.php'); 
	
//Fechamento do Contas a Pagar -- PAGAMENTO
}




if($totalRows_recebimento_emi_complexo>0){

	require_once('Contimatic/contimatic_geral_emi_rec_complexo.php'); 
	
//Fechamento do Contas a Receber Complexo -- EMISSÃO
}



if($totalRows_pagamento_ven_complexo>0){

	require_once('Contimatic/contimatic_geral_ven_pag_complexo.php'); 
	
//Fechamento do Contas a Pagar -- PAGAMENTO
}



			
	
	fclose($fp);
	
	?>
     Arquivo Gerado Com Sucesso
     <p>Numero do Lote<?php echo "  ".$row_contador_phoenix['contador']; ?></p>
     <?php 
	 $atualizar = "UPDATE contador_phoenix SET contador=contador + 1 WHERE contador_id=1";
			mysql_query($atualizar, $paivaconex) or die(mysql_error());
	 
	 ?>

     
    <p> <a href="contimatic.php?ano=<?php echo substr($_GET['data_ini'],-2); ?>">Baixar Arquivo</a></p>
    
    
    
    
    
	
	
	
	
	<!-- InstanceEndEditable --></strong>
</body>
<!-- InstanceEnd --></html>
<?php
mysql_free_result($contador_phoenix);

mysql_free_result($recebimento_emi);

mysql_free_result($recebimento_emi_reembolso);

mysql_free_result($pagamento_emi);

mysql_free_result($recebimento_ven);

mysql_free_result($recebimento_ven_reembolso);

mysql_free_result($pagamento_ven);

mysql_free_result($recebimento_emi_complexo);

mysql_free_result($pagamento_ven_complexo);
?>
